Page MenuHomePhabricator

New Pages Feed: implement front-end code for ORES filters
Closed, ResolvedPublic

Description

This is a task detailing the technical work for front-end changes to the New Pages Feed that will satisfy the requirements in T195927.

  • New Pages Feed: switch filters to a three column layout with two rows.
      • the existing "That" label and filters move to the 2nd row
      • Add "Predicted class" 6 checkboxes and "Predicted issues" 4 checkboxes in row 1, columns 2 and 3. These are added in getTriageTemplatesHTML()
    • AFC: change to 3 column layout with one row
      • "That" label is renamed to "State"
      • Add "Predicted class" 6 checkboxes and "Predicted issues" 4 checkboxes in row 1, columns 2 and 3, in getTriageTemplatesHTML()
    • Nice-to-have, seemingly low level of effort: migrate template code from getTriageTemplatesHTML() into PageTriage/includes/templates/newpagesfeed.mustache
    • Set allowed API params
      • in listControlNav.js getApiParams
      • ensure that filters stick after use, update menuSyncNpp and menuSyncAfc
      • In ApiPageTriageList.php, update getAllowedParams

Event Timeline

kostajh triaged this task as Normal priority.Jul 3 2018, 7:00 PM
kostajh created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 3 2018, 7:00 PM

Noting that there's work happening in T195547 this week that will touch some of the same code.

Aklapper changed the edit policy from "Custom Policy" to "All Users".Jul 4 2018, 3:07 PM

Change 443856 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/PageTriage@master] WIP: Move HTML into Mustache templates

https://gerrit.wikimedia.org/r/443856

Change 443966 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/PageTriage@master] WIP: Implement front-end code for ORES filters

https://gerrit.wikimedia.org/r/443966

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJul 5 2018, 5:33 PM
MMiller_WMF renamed this task from Implement front-end code for ORES filters to New Pages Feed: implement front-end code for ORES filters.Jul 5 2018, 8:51 PM
MMiller_WMF updated the task description. (Show Details)

Change 443966 abandoned by Kosta Harlan:
WIP: Implement front-end code for ORES filters

Reason:
Working on this in 443856

https://gerrit.wikimedia.org/r/443966

SBisson removed the point value for this task.

Change 443856 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Implement ORES filters

https://gerrit.wikimedia.org/r/443856

@Catrope @SBisson @kostajh -- I noticed this task is in @Etonkovidova's column. But I'm not seeing the feature in Beta or Test wiki. Where should Elena be testing it?

@MMiller_WMF you need to use this parameter to enable the feature ores=true, e.g. https://en.wikipedia.beta.wmflabs.org/wiki/Special:NewPagesFeed?ores=true Test wiki doesn't yet have ORES extension enabled (see T199913).

@Catrope @SBisson @kostajh -- I noticed this task is in @Etonkovidova's column. But I'm not seeing the feature in Beta or Test wiki. Where should Elena be testing it?

The code should be in beta already but needs to be "turned on" with configuration. I can get that in today.

As far as test is concerned, the code will be there with the train next Tuesday.

Change 446624 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[operations/mediawiki-config@master] Enable PageTriage ORES filters on labs enwiki

https://gerrit.wikimedia.org/r/446624

Change 446624 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable PageTriage ORES filters on labs enwiki

https://gerrit.wikimedia.org/r/446624

(1) Checked in Chrome, FF, Safari, and IE11 - all layout seems to be correctly display and selection can be done without any visual/functional issues.
Note: I haven't marked the phab ticket checkboxes as Done since the text will be crossed out and greyed out - it might be hard to read.

(2) Filed T200376: New Pages Feed: AfC sorting options are not applicable to some filter selection

MMiller_WMF closed this task as Resolved.Aug 1 2018, 10:53 PM

@Etonkovidova -- in terms of the front-end layout, and the presence of the right checkboxes and labels, I am all good with this.